<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.mapper.EthnicActivitiesMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.EthnicActivities">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="date" column="date" jdbcType="DATE"/>
            <result property="location" column="location" jdbcType="VARCHAR"/>
            <result property="category" column="category" jdbcType="INTEGER"/>
            <result property="ethnic" column="ethnic" jdbcType="VARCHAR"/>
            <result property="content" column="content" jdbcType="VARCHAR"/>
            <result property="count" column="count" jdbcType="INTEGER"/>
            <result property="status" column="status" jdbcType="INTEGER"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,name,date,
        location,category,ethnic,
        content,count,status,
        create_time,update_time,del_flag
    </sql>
</mapper>
